%global api		5
%global major		6
%global major_capture	4
%define libname		%mklibname sysprof %major
%define libnamestrack	%mklibname sysprof-speedtrack %major
%define devname		%mklibname sysprof -d

%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		sysprof
Version:	48.0
Release:	%mkrel 1
Summary:	A system-wide Linux profiler
Group:		Development/Tools

License:	GPLv3+
URL:		https://www.sysprof.com/
Source0:	https://download.gnome.org/sources/sysprof/%{url_ver}/sysprof-%{version}.tar.xz
BuildRequires:	appstream-util
BuildRequires:	binutils-devel
BuildRequires:	desktop-file-utils
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0) >= 2.76.0
BuildRequires:	pkgconfig(json-glib-1.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk4)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libdebuginfod)
BuildRequires:	pkgconfig(libdex-1)
BuildRequires:	pkgconfig(libdw)
BuildRequires:	pkgconfig(libpanel-1)
BuildRequires:	pkgconfig(libsystemd)
BuildRequires:	pkgconfig(libunwind-generic)
BuildRequires:	pkgconfig(libunwind-generic)
BuildRequires:	pkgconfig(polkit-gobject-1)

Requires:	hicolor-icon-theme
Requires:	%{name}-cli%{?_isa} = %{version}-%{release}

%description
Sysprof is a sampling CPU profiler for Linux that collects accurate,
high-precision data and provides efficient access to the sampled
call trees.


%package        agent
Summary:        Sysprof agent utility

%description    agent
The %{name}-agent package contains the sysprof-agent program. It provides a P2P
D-Bus API to the process which can control subprocesses. It's used by IDE
tooling to have more control across container boundaries.


%package        cli
Summary:	Sysprof command line utility
Group:		Development/Tools

%description    cli
The %{name}-cli package contains the sysprof-cli command line utility.


%package     -n %libname
Summary:	Sysprof library
Group:		System/Libraries
# Subpackage removed/obsoleted in MGA10
Obsoletes:      %{mklibname sysprof-ui 4} < 45.0

%description -n %libname
The libsysprof package contains the Sysprof library.


%package     -n %libnamestrack
Summary:	Sysprof SpeedTrack library
Group:		System/Libraries

%description -n %libnamestrack
The libsysprof-speedtrack package contains the Sysprof SpeedTrack library.


%package        -n %devname
Summary:	Development files for %{name}
Group:		Development/Tools
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
Requires:	%{libnamestrack} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description    -n %devname
The %{devname} package contains libraries and header files for
developing applications that use %{name}.


%prep
%autosetup -p1


%build
%meson
%meson_build


%install
%meson_install

%find_lang %{name} --with-gnome


%check
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
%meson_test || :


%files
%license COPYING
%doc NEWS README.md AUTHORS
%{_bindir}/sysprof
%{_bindir}/sysprof-cat
%{_libexecdir}/sysprof-live-unwinder
%{_datadir}/applications/org.gnome.Sysprof.desktop
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/metainfo/org.gnome.Sysprof.appdata.xml
%{_datadir}/mime/packages/sysprof-mime.xml

%files agent
%license COPYING
%{_bindir}/sysprof-agent

%files cli -f %{name}.lang
%license COPYING
%{_bindir}/sysprof-cli
%{_libexecdir}/sysprofd
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof.Agent.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Profiler.xml
%{_datadir}/dbus-1/interfaces/org.gnome.Sysprof3.Service.xml
%{_datadir}/dbus-1/system.d/org.gnome.Sysprof3.conf
%{_datadir}/dbus-1/system-services/org.gnome.Sysprof3.service
%{_datadir}/polkit-1/actions/org.gnome.sysprof3.policy
%{_unitdir}/sysprof3.service

%files -n %libname
%license COPYING
%{_libdir}/libsysprof-%{major}.so.%{major}*
%{_libdir}/libsysprof-memory-%{major}.so
%{_libdir}/libsysprof-tracer-%{major}.so


%files -n %libnamestrack
%license COPYING
%{_libdir}/libsysprof-speedtrack-%{major}.so

%files -n %devname
%{_includedir}/sysprof-%{major}/
%{_libdir}/libsysprof-%{major}.so
%{_libdir}/pkgconfig/sysprof-%{major}.pc
%{_libdir}/pkgconfig/sysprof-capture-%{major_capture}.pc
%{_libdir}/libsysprof-capture-%{major_capture}.a




%changelog
* Wed Mar 19 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2166853
- new version 48.0

* Sat Nov 30 2024 daviddavid <daviddavid> 47.2-1.mga10
+ Revision: 2120136
- new version 47.2

* Thu Nov 07 2024 daviddavid <daviddavid> 47.1-1.mga10
+ Revision: 2112822
- new version 47.1

* Wed Sep 18 2024 daviddavid <daviddavid> 47.0-1.mga10
+ Revision: 2098029
- new version 47.0

* Mon Mar 18 2024 daviddavid <daviddavid> 46.0-1.mga10
+ Revision: 2050332
- new version 46.0

* Sun Feb 11 2024 daviddavid <daviddavid> 45.2-1.mga10
+ Revision: 2040197
- new version 45.2

* Thu Dec 07 2023 daviddavid <daviddavid> 45.1-1.mga10
+ Revision: 2014172
- new version 45.1

* Tue Sep 26 2023 tv <tv> 45.0-1.mga10
+ Revision: 1991131
- Update to 45.0
- Remove and obsolete libsysprof-ui subpackage

* Sat Apr 22 2023 tmb <tmb> 3.48.0-1.mga10
+ Revision: 1954137
- update to 3.48.0

* Mon Sep 19 2022 tv <tv> 3.46.0-1.mga9
+ Revision: 1890243
- Update to 3.46.0
- API is now 5 while major remains at 4
- Fix confusion between major & api
- Add new -agent subpackage for sysprof-agent

* Sat Mar 19 2022 ovitters <ovitters> 3.44.0-1.mga9
+ Revision: 1799141
- new version 3.44.0

* Tue Mar 15 2022 tv <tv> 3.43.90-1.mga9
+ Revision: 1793352
- Update to 3.43.90

* Mon Jan 10 2022 tv <tv> 3.42.1-1.mga9
+ Revision: 1767480
- Update to 3.42.1
- Build with libunwind support

* Thu Mar 25 2021 ovitters <ovitters> 3.40.1-1.mga9
+ Revision: 1710125
- new version 3.40.1

* Fri Oct 16 2020 ovitters <ovitters> 3.38.1-1.mga8
+ Revision: 1636307
- new version 3.38.1

* Sat Sep 12 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1625358
- new version 3.38.0

* Sun Sep 06 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1623037
- new version 3.37.92

* Tue Aug 11 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1613370
- new version 3.37.90

* Wed Jul 29 2020 ovitters <ovitters> 3.37.2-1.mga8
+ Revision: 1609548
- new version 3.37.2

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554568
- new version 3.36.0

* Sun Mar 01 2020 tv <tv> 3.35.92-1.mga8
+ Revision: 1552522
- fix build on 32 bit with conditionnal patch
+ ovitters <ovitters>
- new version 3.35.92

* Tue Feb 18 2020 tv <tv> 3.35.3-1.mga8
+ Revision: 1541382
- 3.35.3

* Sun Feb 16 2020 umeabot <umeabot> 3.34.1-2.mga8
+ Revision: 1534956
- Mageia 8 Mass Rebuild

* Mon Oct 07 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1450429
- new version 3.34.1

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439211
- new version 3.34.0

* Thu Sep 05 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1437426
- new version 3.33.92

* Fri Aug 09 2019 ovitters <ovitters> 3.33.90-1.mga8
+ Revision: 1428281
- new version 3.33.90

* Wed Aug 07 2019 tv <tv> 3.33.4-1.mga8
+ Revision: 1427847
- new release

* Tue Aug 06 2019 tv <tv> 3.33.3-2.mga8
+ Revision: 1427654
- do package libsysprof-capture-3.a (needed for new gjs)

* Tue Aug 06 2019 tv <tv> 3.33.3-1.mga8
+ Revision: 1427625
- new release

* Thu Apr 18 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392932
- Rebuild with meson 0.50.1

* Wed Mar 13 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1375184
- new version 3.32.0

* Fri Mar 08 2019 daviddavid <daviddavid> 3.31.91-1.mga7
+ Revision: 1372766
- new version 3.31.91

* Wed Oct 31 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1326831
- new version 3.30.2

* Tue Sep 25 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303923
- new version 3.30.1

* Wed Sep 05 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1257245
- new version 3.30.0
- dropped merged patch 0001-perf-fix-incorrect-free-func-for-ptr-array.patch
- dropped merged patch 0001-tests-fix-leak-in-test.patch

* Tue Sep 04 2018 tv <tv> 3.29.3-2.mga7
+ Revision: 1257097
- ignore testsuite failure for now
- new release
- patch0: fix build

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216937
- new version 3.28.1

* Wed Mar 14 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1209152
- new version 3.28.0

* Mon Mar 12 2018 tv <tv> 3.27.92-1.mga7
+ Revision: 1208433
- fix filelist
+ ovitters <ovitters>
- new version 3.27.92
- switch to meson
- new version 3.27.91
- fix source url

* Wed Sep 20 2017 tv <tv> 3.26.0-3.mga7
+ Revision: 1156454
- BR libxml2-utils
- fix runtime deps (sight)
- libify...
- kill useless scriptlets
- use %%configure2_5x
- add groups
- fix file deps...
- new release
+ ovitters <ovitters>
- imported package sysprof


* Mon Mar 20 2017 Kalev Lember <klember@redhat.com> - 3.24.0-1
- Update to 3.24.0

* Thu Mar 16 2017 Kalev Lember <klember@redhat.com> - 3.23.92-1
- Update to 3.23.92

* Wed Mar 01 2017 Kalev Lember <klember@redhat.com> - 3.23.91-1
- Update to 3.23.91
- Add appdata validation

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.22.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Nov 29 2016 Kalev Lember <klember@redhat.com> - 3.22.3-1
- Update to 3.22.3

* Wed Nov 02 2016 Kalev Lember <klember@redhat.com> - 3.22.2-1
- Update to 3.22.2

* Wed Oct 12 2016 Kalev Lember <klember@redhat.com> - 3.22.1-1
- Update to 3.22.1
- Don't use -Werror for builds

* Wed Sep 21 2016 Kalev Lember <klember@redhat.com> - 3.22.0-2
- Split out sysprof-cli and libsysprof-ui subpackages

* Wed Sep 21 2016 Kalev Lember <klember@redhat.com> - 3.22.0-1
- Update to 3.22.0

* Mon Sep  5 2016 Peter Robinson <pbrobinson@fedoraproject.org> 3.21.91-2
- Build on all arches now generic atomics supported

* Fri Sep 02 2016 Kalev Lember <klember@redhat.com> - 3.21.91-1
- Update to 3.21.91

* Tue Aug 23 2016 Kalev Lember <klember@redhat.com> - 3.21.90-2
- Enable building for arm architectures

* Tue Aug 23 2016 Kalev Lember <klember@redhat.com> - 3.21.90-1
- Update to 3.21.90

* Mon Aug 08 2016 Kalev Lember <klember@redhat.com> - 3.20.0-1
- Update to 3.20.0
- Modernize spec file

* Fri Feb 05 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.2.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jun 19 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Mon Aug 18 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sun Jun 08 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Jun 28 2013 Gianluca Sforna <giallu@gmail.com> 1.2.0-3
- fix udev rule path (#979545)

* Fri Feb 15 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.2.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Sep 15 2012 Gianluca Sforna <giallu@gmail.com> 1.2.0-1
- New upstream release

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.8-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Nov 07 2011 Adam Jackson <ajax@redhat.com> 1.1.8-2
- Rebuild to break bogus libpng dependency

* Thu Jul 28 2011 Gianluca Sforna <giallu@gmail.com> 1.1.8-1
- New upstream release

* Fri Jun 24 2011 Gianluca Sforna <giallu@gmail.com> 1.1.6-3
- Fix missing icon (#558089)

* Wed Feb 09 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.1.6-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jun  8 2010 Gianluca Sforna <giallu gmail com> - 1.1.6-1
- New upstream release

* Sun Sep 27 2009 Gianluca Sforna <giallu gmail com> - 1.1.2-3
- Incorporate suggestions from package review
- Require kernel 2.6.31
- Updated description

* Sat Sep 26 2009 Gianluca Sforna <giallu gmail com> - 1.1.2-1
- New upstream release

* Wed Apr  9 2008 Gianluca Sforna <giallu gmail com> - 1.0.9-1
- version update to 1.0.9

* Tue Aug 28 2007 Gianluca Sforna <giallu gmail com> 1.0.8-2
- update License field

* Thu Dec 21 2006 Gianluca Sforna <giallu gmail com> 1.0.8-1
- version update to 1.0.8

* Tue Nov 21 2006 Gianluca Sforna <giallu gmail com> 1.0.7-1
- version update to 1.0.7

* Wed Nov  1 2006 Gianluca Sforna <giallu gmail com> 1.0.5-1
- version update

* Sun Oct  8 2006 Gianluca Sforna <giallu gmail com> 1.0.3-6
- better to use ExclusiveArch %%{ix86} (thanks Ville)

* Thu Oct  5 2006 Gianluca Sforna <giallu gmail com> 1.0.3-5
- add ExclusiveArch to match sysprof-kmod supported archs

* Mon Oct  2 2006 Gianluca Sforna <giallu gmail com> 1.0.3-4
- add .desktop file

* Sat Sep 30 2006 Gianluca Sforna <giallu gmail com> 1.0.3-3
- versioned Provides
- add BR: binutils-devel

* Fri Sep 29 2006 Gianluca Sforna <giallu gmail com> 1.0.3-2
- own sysprof directory

* Thu Jun 22 2006 Gianluca Sforna <giallu gmail com> 1.0.3-1
- version update
- use standard %%configure macro

* Sun May 14 2006 Gianluca Sforna <giallu gmail com> 1.0.2-1
- Initial Version
